<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProjectsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('crm_socio', function (Blueprint $table) {
            $table->bigIncrements('id_socio');
            $table->string('nit_socio',15);
            $table->string('cod_diamante',25);
            $table->string('cod_elvis',15);
            $table->integer('numero_colegiado_socio');
            $table->string('primer_nombre_socio',50);
            $table->string('segundo_apellido_socio',50);
            $table->string('nombre_comercial_socio',50);
            $table->string('telefono_movil_socio',10);
            $table->string('telefono_oficina_socio',10);
            $table->integer('id_tipo_socio');
            $table->integer('id_especialidad');
            $table->integer('id_clasificacion');
            $table->integer('id_direccion_socio');
            $table->bigInteger('id_user');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('crm_socio');
    }
}
